当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 安装dockbarx时出现的错误
帖子发表于 : 2010-12-17 0:04 

注册: 2010-12-16 12:14
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
您可能需要运行“apt-get -f install”来纠正下列错误:
下列软件包有未满足的依赖关系:
awn-applet-dockbarx : 依赖: dockbarx (>= 0.39.0) 但是它将不会被安装
依赖: python-awn 但是它将不会被安装 或
python-awn-trunk 但无法安装它
python-keybinder : 依赖: libkeybinder0 (>= 0.2.1) 但是它将不会被安装
zeitgeist : 依赖: zeitgeist-core 但是它将不会被安装
依赖: zeitgeist-datahub 但是它将不会被安装
推荐: zeitgeist-fts-extension 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
求高手指点这是怎么回事,而且我的附件中也找不到DockBarX preferences 这个插件,该怎么办,ubuntu10.10


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 安装dockbarx时出现的错误
帖子发表于 : 2010-12-17 0:09 

注册: 2010-12-16 12:14
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
:em20


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 安装dockbarx时出现的错误
帖子发表于 : 2010-12-17 8:12 

注册: 2010-12-16 12:14
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
问题补充:
输入sudo add-apt-repository ppa:nilarimogard/webupd8

gpg: 下载密钥‘4C9D234C’,从 hkp 服务器 keyserver.ubuntu.com
gpg: 密钥 4C9D234C:“Launchpad webupd8”未改变
gpg: 合计被处理的数量:1
gpg: 未改变:1 ps:这个没有改变

运行sudo apt-get update
下载 368kB,耗时 4秒 (90.6kB/s)
正在读取软件包列表... 完成
W: GPG 错误:http://ppa.launchpad.net lucid Release: 由于没有公钥,无法验证下列签名: NO_PUBKEY FAF69C646FF368B7

运行sudo apt-get install awn-applet-dockbarx
在处理时有错误发生:
/var/cache/apt/archives/libdesktop-agnostic0_0.3.90-2_i386.deb
/var/cache/apt/archives/libawn1_0.4.0-2ubuntu1_i386.deb
/var/cache/apt/archives/libgfortran3_4.5.1-7ubuntu2_i386.deb
/var/cache/apt/archives/libblas3gf_1.2-7_i386.deb
/var/cache/apt/archives/libkeybinder0_0.2.2-2_i386.deb
/var/cache/apt/archives/liblapack3gf_3.2.1-8_i386.deb
/var/cache/apt/archives/python-desktop-agnostic_0.3.90-2_i386.deb
/var/cache/apt/archives/python-awn_0.4.0-2ubuntu1_i386.deb
/var/cache/apt/archives/python-numpy_1%3a1.3.0-3build1_i386.deb
/var/cache/apt/archives/zeitgeist-core_0.5.2-0ubuntu1_all.deb
/var/cache/apt/archives/zeitgeist-datahub_0.5.2-0ubuntu1_all.deb
/var/cache/apt/archives/zeitgeist-fts-extension_0.0.6-0ubuntu1_all.deb
/var/cache/apt/archives/dockbarx_0.41-1~webupd8~maverick_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
求大神指导


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 安装dockbarx时出现的错误
帖子发表于 : 2010-12-23 0:31 
头像

注册: 2008-10-23 8:37
帖子: 343
送出感谢: 0 次
接收感谢: 1
不折腾这东西。


_________________
个人网站:土木坛子INK SAY


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 安装dockbarx时出现的错误
帖子发表于 : 2011-01-03 1:01 

注册: 2010-12-31 15:11
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
castle@castle-Inspiron-N5010:~$ sudo apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
zeitgeist-core zeitgeist-datahub
The following NEW packages will be installed:
zeitgeist-core zeitgeist-datahub
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 0B/117kB of archives.
After this operation, 819kB of additional disk space will be used.
Do you want to continue [Y/n]? y
(Reading database ... 146954 files and directories currently installed.)
Unpacking zeitgeist-core (from .../zeitgeist-core_0.5.2-0ubuntu1_all.deb) ...
dpkg-deb (subprocess): data: internal gzip read error: '<fd:0>: invalid distance too far back'
dpkg-deb: subprocess <decompress> returned error exit status 2
dpkg: error processing /var/cache/apt/archives/zeitgeist-core_0.5.2-0ubuntu1_all.deb (--unpack):
short read on buffer copy for backend dpkg-deb during `./usr/share/doc/zeitgeist-core/copyright'
Unpacking zeitgeist-datahub (from .../zeitgeist-datahub_0.5.2-0ubuntu1_all.deb) ...
dpkg-deb (subprocess): data: internal gzip read error: '<fd:0>: invalid distance too far back'
dpkg-deb: subprocess <decompress> returned error exit status 2
dpkg: error processing /var/cache/apt/archives/zeitgeist-datahub_0.5.2-0ubuntu1_all.deb (--unpack):
short read on buffer copy for backend dpkg-deb during `./usr/share/zeitgeist/_zeitgeist/loggers/datasources/_recentmanager.py'
Processing triggers for man-db ...
Errors were encountered while processing:
/var/cache/apt/archives/zeitgeist-core_0.5.2-0ubuntu1_all.deb
/var/cache/apt/archives/zeitgeist-datahub_0.5.2-0ubuntu1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
castle@castle-Inspiron-N5010:~$


同求。。

弄了好一会。。都不知道怎么修复这个错误。。有人知道没哦。谢谢了。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 安装dockbarx时出现的错误
帖子发表于 : 2011-01-03 1:40 

注册: 2010-12-31 15:11
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
installArchives() failed: (Reading database ...
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 146919 files and directories currently installed.)
Unpacking zeitgeist-core (from .../zeitgeist-core_0.5.2-0ubuntu1_all.deb) ...
dpkg-deb (subprocess): data: internal gzip read error: '<fd:0>: invalid distance too far back'
dpkg-deb: subprocess <decompress> returned error exit status 2
dpkg: error processing /var/cache/apt/archives/zeitgeist-core_0.5.2-0ubuntu1_all.deb (--unpack):
short read on buffer copy for backend dpkg-deb during `./usr/share/doc/zeitgeist-core/copyright'
No apport report written because MaxReports is reached already
Errors were encountered while processing:
/var/cache/apt/archives/zeitgeist-core_0.5.2-0ubuntu1_all.deb


还是出现这个错误。。。一直被办法安装东西。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译